/**************************************************************
 * This program illustrates passing by value and passing by reference.
 *****************************************************************/



#include <stdio.h>
float times2(float num);/*This returns 2*num. */
void timesTwo(float *num);/* This doubles the value in num. */
int main(void)
{
	float x;
	printf("Please enter a real number: ");
	scanf("%f", &x);
	printf("\nThe value of times2 on %.2f is %.2f.\n",x,times2(x));
	printf("\nApplication of timesTwo to %.2f is",x);
	timesTwo(&x);
	printf(" %.2f",x);
	return 0;
}

float times2(float num)
{
	num=2*(num);/* Note that this doesn't change the value
		       of num in the calling function.*/
	return num;
}

void timesTwo(float *num)
{
	*num = 2*(*num);
	return;
}

